Bug 1773472 - ssl certificate not computed in ovirt v4
Summary: ssl certificate not computed in ovirt v4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - RHEV
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.7.0
Assignee: Yifat Makias
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-18 08:37 UTC by Yifat Makias
Modified: 2020-04-14 13:27 UTC (History)
4 users (show)

Fixed In Version: foreman-1.24.0-0.14.RC3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28280 Normal Closed ssl certificate not computed in ovirt v4 2019-12-13 13:44:41 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:27:19 UTC

Description Yifat Makias 2019-11-18 08:37:10 UTC
An error appears when trying to load datacenters when creating a new ovirt compute resource using apiv4.
Error message: Can't send request: SSL peer certificate or SSH remote key was not OK

The reason for this error is a different message error that is returned from a newer version of libcurl package which is used by ovirtsdk.
This libcurl package is apparently used in the newest versions of fedora.

Comment 1 Yifat Makias 2019-11-18 08:37:15 UTC
Created from redmine issue https://projects.theforeman.org/issues/28280

Comment 4 Yifat Makias 2019-11-18 08:37:21 UTC
Upstream bug assigned to ymakias@redhat.com

Comment 5 Bryan Kearney 2019-11-18 13:01:20 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28280 has been resolved.

Comment 6 Lukáš Hellebrandt 2019-12-13 13:49:44 UTC
Verified with Sat 6.7 snap 4, RHEL7 up-to-date as of 2019-12-13. Tried to add RHEV that uses SSL cert signed by CA unknown to Satellite. Got (correct) message "The remote system presented a public key signed by an unidentified certificate authority. If you are sure the remote system is authentic, go to the compute resource edit page, press the 'Test Connection' or 'Load Datacenters' button and submit".

Comment 9 errata-xmlrpc 2020-04-14 13:27:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.